Bug 192523 - [GTK] Accelerated compositing mode is in poor state
Summary: [GTK] Accelerated compositing mode is in poor state
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 201507 178387 192230 192276 192522 192982 193001 193011 193903 193972 197994 200575 200856 201505 202362
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-07 16:19 PST by Michael Catanzaro
Modified: 2019-10-16 10:57 PDT (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Catanzaro 2018-12-07 16:19:25 PST
Unfortunately accelerated compositing mode has suffered some regressions between 2.22 (where I believe it was working *almost* well enough) and 2.23.1. I've made the executive decision to disable AC mode in Epiphany git master since this fixes several issues, including annoying issues with GitLab that were making development difficult. I'll leave it enabled in 3.30 for a while longer because 3.30 branch users are expected to use 2.22, but when we get closer to 2.24 release I'll go back and disable it there too.

Here are the issues:

 * Bug #178387 (an old bug, but I do not remember hitting it in 2.22)
 * Bug #182276 (seems like a recent regression)
 * Bug #192230 (seems like a recent regression)
 * Bug #192522 (not a regression from 2.22, but a blocker for Epiphany regardless)

I'm also tracking this as https://gitlab.gnome.org/GNOME/epiphany/issues/595.
Comment 1 Michael Catanzaro 2018-12-07 16:19:47 PST
(In reply to Michael Catanzaro from comment #0)
>  * Bug #182276 (seems like a recent regression)

Oops, bug #192276
Comment 2 Michael Catanzaro 2019-01-01 16:47:25 PST
Does anyone know of any websites other than https://webkit.org/blog-files/3d-transforms/poster-circle.html that are broken by having disabled AC mode?
Comment 3 Carlos Eduardo Ramalho 2019-01-01 17:08:23 PST
(In reply to Michael Catanzaro from comment #2)
> Does anyone know of any websites other than
> https://webkit.org/blog-files/3d-transforms/poster-circle.html that are
> broken by having disabled AC mode?

Any website that uses CSS 3D transforms?

Tested a few from https://www.creativebloq.com/css3/20-stunning-examples-css-3d-transforms-11112759 and seems like it.
Comment 4 Michael Catanzaro 2019-01-01 18:18:30 PST
Yeah, but I suppose I was looking for something other than a test/example websites. We know many websites trigger AC mode by using 3D transforms, but almost none of them appear to suffer any functionality regression when it is turned off. And for some users, these websites are only usable once it is turned off.

Basically we need to decide if losing 3D transforms is worth the cost of dependent bug #178387, bug #192522, bug #192982, bug #193001, bug #193011, etc.
Comment 5 Michael Catanzaro 2019-01-01 18:20:22 PST
I suppose my hypothesis is: the set of websites harmed by leaving AC mode enabled on-demand is overwhelmingly larger than the set of websites harmed by turning it off.
Comment 6 Zan Dobersek 2019-01-03 06:15:12 PST
Removing the WPE tag because the remaining bugs are either stale/unconfirmed or simply unrelated to WPE, and because the idea in comment #4 is not compatible with WPE roadmap.
Comment 7 Fujii Hironori 2019-01-15 23:10:19 PST
IIRC, WebInspector's element highlight is using GraphicsLayer.
Comment 8 Michael Catanzaro 2019-06-24 12:12:33 PDT
(In reply to Michael Catanzaro from comment #4)
> Basically we need to decide if losing 3D transforms is worth the cost of
> dependent bug #178387, bug #192522, bug #192982, bug #193001, bug #193011,
> etc.

All of these except bug #193011 have now been solved.

If we buy the needed hardware and fix bug #193011, then we could try turning AC mode back on in Epiphany. Hopefully any users complaining about AC mode performance have similar hardware. And if not, well, no point in worrying about future bug reports before they arrive.
Comment 9 Carlos Garcia Campos 2019-06-25 00:56:33 PDT
(In reply to Michael Catanzaro from comment #8)
> (In reply to Michael Catanzaro from comment #4)
> > Basically we need to decide if losing 3D transforms is worth the cost of
> > dependent bug #178387, bug #192522, bug #192982, bug #193001, bug #193011,
> > etc.
> 
> All of these except bug #193011 have now been solved.
> 
> If we buy the needed hardware and fix bug #193011, then we could try turning
> AC mode back on in Epiphany. Hopefully any users complaining about AC mode
> performance have similar hardware. And if not, well, no point in worrying
> about future bug reports before they arrive.

Or we can disable AC only for that particular hardware
Comment 10 Michael Catanzaro 2019-06-25 07:57:54 PDT
(In reply to Carlos Garcia Campos from comment #9)
> Or we can disable AC only for that particular hardware

Yes indeed.
Comment 11 Michael Catanzaro 2019-07-16 10:16:23 PDT
All issues are closed.

I'll reenable AC mode in Ephy soon if no more issues are reported. I'm sure we will get more bug reports, but it doesn't make sense to worry too much about bugs that haven't been reported yet.
Comment 12 Michael Catanzaro 2019-08-09 08:13:07 PDT
Reopening due to bug #200575.
Comment 13 Michael Catanzaro 2019-09-17 12:52:42 PDT
All fixed again.
Comment 14 Michael Catanzaro 2019-09-30 06:08:01 PDT
Reopening due to bug #202362.